
Redmine - Defect #3685

keep getting duplicate key error

2009-07-28 23:21 - Robert Gonzalez

Status: Closed Start date: 2009-07-28

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.8.4

Description

We keep getting this error when people try to create new issues:

ActiveRecord::StatementInvalid (PGError: ERROR:  duplicate key violates unique constraint "issues_pkey" : INSERT INTO "issues"

("created_on", "start_date", "project_id", "estimated_hours",........

We think its because we have a pretty active system and they are colliding.

History

#1 - 2009-07-29 08:17 - Jean-Philippe Lang

Please read SubmittingBugs and post your stack trace.

#2 - 2009-08-02 23:50 - Robert Gonzalez

- Status changed from New to Resolved

Postgres got out of sync.  A reboot fixed it.

#3 - 2009-11-11 23:03 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback.
